<?php
$tdatacheque_register4pay = array();
$tdatacheque_register4pay[".searchableFields"] = array();
$tdatacheque_register4pay[".ShortName"] = "cheque_register4pay";
$tdatacheque_register4pay[".OwnerID"] = "";
$tdatacheque_register4pay[".OriginalTable"] = "cheque_register";


$tdatacheque_register4pay[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\",\"list_add\",\"list_inline_add\"],\"print\":[\"print1\"],\"search\":[\"search\"]}" );
$tdatacheque_register4pay[".originalPagesByType"] = $tdatacheque_register4pay[".pagesByType"];
$tdatacheque_register4pay[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"list\":[\"list\",\"list_add\",\"list_inline_add\"],\"print\":[\"print1\"],\"search\":[\"search\"]}" ) );
$tdatacheque_register4pay[".originalPages"] = $tdatacheque_register4pay[".pages"];
$tdatacheque_register4pay[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"list\":\"list\",\"print\":\"print1\",\"search\":\"search\"}" );
$tdatacheque_register4pay[".originalDefaultPages"] = $tdatacheque_register4pay[".defaultPages"];

//	field labels
$fieldLabelscheque_register4pay = array();
$fieldToolTipscheque_register4pay = array();
$pageTitlescheque_register4pay = array();
$placeHolderscheque_register4pay = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelscheque_register4pay["English"] = array();
	$fieldToolTipscheque_register4pay["English"] = array();
	$placeHolderscheque_register4pay["English"] = array();
	$pageTitlescheque_register4pay["English"] = array();
	$fieldLabelscheque_register4pay["English"]["id"] = "Id";
	$fieldToolTipscheque_register4pay["English"]["id"] = "";
	$placeHolderscheque_register4pay["English"]["id"] = "";
	$fieldLabelscheque_register4pay["English"]["cheque_number"] = "Cheque Number";
	$fieldToolTipscheque_register4pay["English"]["cheque_number"] = "";
	$placeHolderscheque_register4pay["English"]["cheque_number"] = "";
	$fieldLabelscheque_register4pay["English"]["account"] = "Account";
	$fieldToolTipscheque_register4pay["English"]["account"] = "";
	$placeHolderscheque_register4pay["English"]["account"] = "";
	$fieldLabelscheque_register4pay["English"]["register_date"] = "Register Date";
	$fieldToolTipscheque_register4pay["English"]["register_date"] = "";
	$placeHolderscheque_register4pay["English"]["register_date"] = "";
	$fieldLabelscheque_register4pay["English"]["issu_date"] = "Issu Date";
	$fieldToolTipscheque_register4pay["English"]["issu_date"] = "";
	$placeHolderscheque_register4pay["English"]["issu_date"] = "";
	$fieldLabelscheque_register4pay["English"]["clearance_date"] = "Clearance Date";
	$fieldToolTipscheque_register4pay["English"]["clearance_date"] = "";
	$placeHolderscheque_register4pay["English"]["clearance_date"] = "";
	$fieldLabelscheque_register4pay["English"]["outlet_code"] = "Outlet Code";
	$fieldToolTipscheque_register4pay["English"]["outlet_code"] = "";
	$placeHolderscheque_register4pay["English"]["outlet_code"] = "";
	$fieldLabelscheque_register4pay["English"]["user"] = "User";
	$fieldToolTipscheque_register4pay["English"]["user"] = "";
	$placeHolderscheque_register4pay["English"]["user"] = "";
	$fieldLabelscheque_register4pay["English"]["details"] = "Details";
	$fieldToolTipscheque_register4pay["English"]["details"] = "";
	$placeHolderscheque_register4pay["English"]["details"] = "";
	$fieldLabelscheque_register4pay["English"]["clear_or_not"] = "Clear Or Not";
	$fieldToolTipscheque_register4pay["English"]["clear_or_not"] = "";
	$placeHolderscheque_register4pay["English"]["clear_or_not"] = "";
	$fieldLabelscheque_register4pay["English"]["m_id"] = "M Id";
	$fieldToolTipscheque_register4pay["English"]["m_id"] = "";
	$placeHolderscheque_register4pay["English"]["m_id"] = "";
	if (count($fieldToolTipscheque_register4pay["English"]))
		$tdatacheque_register4pay[".isUseToolTips"] = true;
}


	$tdatacheque_register4pay[".NCSearch"] = true;



$tdatacheque_register4pay[".shortTableName"] = "cheque_register4pay";
$tdatacheque_register4pay[".nSecOptions"] = 0;

$tdatacheque_register4pay[".mainTableOwnerID"] = "";
$tdatacheque_register4pay[".entityType"] = 1;
$tdatacheque_register4pay[".connId"] = "test2_at_localhost";


$tdatacheque_register4pay[".strOriginalTableName"] = "cheque_register";

	



$tdatacheque_register4pay[".showAddInPopup"] = false;

$tdatacheque_register4pay[".showEditInPopup"] = false;

$tdatacheque_register4pay[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatacheque_register4pay[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatacheque_register4pay[".listAjax"] = false;
//	temporary
$tdatacheque_register4pay[".listAjax"] = false;

	$tdatacheque_register4pay[".audit"] = true;

	$tdatacheque_register4pay[".locking"] = false;


$pages = $tdatacheque_register4pay[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatacheque_register4pay[".edit"] = true;
	$tdatacheque_register4pay[".afterEditAction"] = 1;
	$tdatacheque_register4pay[".closePopupAfterEdit"] = 1;
	$tdatacheque_register4pay[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatacheque_register4pay[".add"] = true;
$tdatacheque_register4pay[".afterAddAction"] = 1;
$tdatacheque_register4pay[".closePopupAfterAdd"] = 1;
$tdatacheque_register4pay[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatacheque_register4pay[".list"] = true;
}



$tdatacheque_register4pay[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatacheque_register4pay[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatacheque_register4pay[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatacheque_register4pay[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatacheque_register4pay[".printFriendly"] = true;
}



$tdatacheque_register4pay[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatacheque_register4pay[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatacheque_register4pay[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatacheque_register4pay[".isUseAjaxSuggest"] = true;

$tdatacheque_register4pay[".rowHighlite"] = true;



																																																			

$tdatacheque_register4pay[".ajaxCodeSnippetAdded"] = false;

$tdatacheque_register4pay[".buttonsAdded"] = false;

$tdatacheque_register4pay[".addPageEvents"] = false;

// use timepicker for search panel
$tdatacheque_register4pay[".isUseTimeForSearch"] = false;


$tdatacheque_register4pay[".badgeColor"] = "DC143C";


$tdatacheque_register4pay[".allSearchFields"] = array();
$tdatacheque_register4pay[".filterFields"] = array();
$tdatacheque_register4pay[".requiredSearchFields"] = array();

$tdatacheque_register4pay[".googleLikeFields"] = array();
$tdatacheque_register4pay[".googleLikeFields"][] = "id";
$tdatacheque_register4pay[".googleLikeFields"][] = "cheque_number";
$tdatacheque_register4pay[".googleLikeFields"][] = "account";
$tdatacheque_register4pay[".googleLikeFields"][] = "register_date";
$tdatacheque_register4pay[".googleLikeFields"][] = "issu_date";
$tdatacheque_register4pay[".googleLikeFields"][] = "clearance_date";
$tdatacheque_register4pay[".googleLikeFields"][] = "outlet_code";
$tdatacheque_register4pay[".googleLikeFields"][] = "user";
$tdatacheque_register4pay[".googleLikeFields"][] = "details";
$tdatacheque_register4pay[".googleLikeFields"][] = "clear_or_not";
$tdatacheque_register4pay[".googleLikeFields"][] = "m_id";



$tdatacheque_register4pay[".tableType"] = "list";

$tdatacheque_register4pay[".printerPageOrientation"] = 0;
$tdatacheque_register4pay[".nPrinterPageScale"] = 100;

$tdatacheque_register4pay[".nPrinterSplitRecords"] = 40;

$tdatacheque_register4pay[".geocodingEnabled"] = false;










$tdatacheque_register4pay[".pageSize"] = 20;

$tdatacheque_register4pay[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatacheque_register4pay[".strOrderBy"] = $tstrOrderBy;

$tdatacheque_register4pay[".orderindexes"] = array();


$tdatacheque_register4pay[".sqlHead"] = "SELECT id,  	cheque_number,  	account,  	register_date,  	issu_date,  	clearance_date,  	outlet_code,  	`user`,  	details,  	clear_or_not,  	m_id";
$tdatacheque_register4pay[".sqlFrom"] = "FROM cheque_register";
$tdatacheque_register4pay[".sqlWhereExpr"] = "issu_date  IS NULL";
$tdatacheque_register4pay[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatacheque_register4pay[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatacheque_register4pay[".arrGroupsPerPage"] = $arrGPP;

$tdatacheque_register4pay[".highlightSearchResults"] = true;

$tableKeyscheque_register4pay = array();
$tableKeyscheque_register4pay[] = "id";
$tdatacheque_register4pay[".Keys"] = $tableKeyscheque_register4pay;


$tdatacheque_register4pay[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register4pay","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register4pay["id"] = $fdata;
		$tdatacheque_register4pay[".searchableFields"][] = "id";
//	cheque_number
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "cheque_number";
	$fdata["GoodName"] = "cheque_number";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register4pay","cheque_number");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cheque_number";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cheque_number";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register4pay["cheque_number"] = $fdata;
		$tdatacheque_register4pay[".searchableFields"][] = "cheque_number";
//	account
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "account";
	$fdata["GoodName"] = "account";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register4pay","account");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "account";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "account";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "bank_accounts";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "bank";

	

	
	$edata["LookupOrderBy"] = "id";

	
	
	
	

	
		$edata["Multiselect"] = true;

		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register4pay["account"] = $fdata;
		$tdatacheque_register4pay[".searchableFields"][] = "account";
//	register_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "register_date";
	$fdata["GoodName"] = "register_date";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register4pay","register_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "register_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "register_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register4pay["register_date"] = $fdata;
		$tdatacheque_register4pay[".searchableFields"][] = "register_date";
//	issu_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "issu_date";
	$fdata["GoodName"] = "issu_date";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register4pay","issu_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "issu_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "issu_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register4pay["issu_date"] = $fdata;
		$tdatacheque_register4pay[".searchableFields"][] = "issu_date";
//	clearance_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "clearance_date";
	$fdata["GoodName"] = "clearance_date";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register4pay","clearance_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "clearance_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "clearance_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register4pay["clearance_date"] = $fdata;
		$tdatacheque_register4pay[".searchableFields"][] = "clearance_date";
//	outlet_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "outlet_code";
	$fdata["GoodName"] = "outlet_code";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register4pay","outlet_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "outlet_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "outlet_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "company_profile";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 4;

		$edata["HorizontalLookup"] = true;

		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "company_name";

	

	
	$edata["LookupOrderBy"] = "company_name";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register4pay["outlet_code"] = $fdata;
		$tdatacheque_register4pay[".searchableFields"][] = "outlet_code";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register4pay","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
		$edata["autoUpdatable"] = true;

	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register4pay["user"] = $fdata;
		$tdatacheque_register4pay[".searchableFields"][] = "user";
//	details
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "details";
	$fdata["GoodName"] = "details";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register4pay","details");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "details";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "details";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=200";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register4pay["details"] = $fdata;
		$tdatacheque_register4pay[".searchableFields"][] = "details";
//	clear_or_not
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "clear_or_not";
	$fdata["GoodName"] = "clear_or_not";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register4pay","clear_or_not");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "clear_or_not";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "clear_or_not";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register4pay["clear_or_not"] = $fdata;
		$tdatacheque_register4pay[".searchableFields"][] = "clear_or_not";
//	m_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "m_id";
	$fdata["GoodName"] = "m_id";
	$fdata["ownerTable"] = "cheque_register";
	$fdata["Label"] = GetFieldLabel("cheque_register4pay","m_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "m_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "m_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatacheque_register4pay["m_id"] = $fdata;
		$tdatacheque_register4pay[".searchableFields"][] = "m_id";


$tables_data["cheque_register4pay"]=&$tdatacheque_register4pay;
$field_labels["cheque_register4pay"] = &$fieldLabelscheque_register4pay;
$fieldToolTips["cheque_register4pay"] = &$fieldToolTipscheque_register4pay;
$placeHolders["cheque_register4pay"] = &$placeHolderscheque_register4pay;
$page_titles["cheque_register4pay"] = &$pageTitlescheque_register4pay;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["cheque_register4pay"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["cheque_register4pay"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_cheque_register4pay()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	cheque_number,  	account,  	register_date,  	issu_date,  	clearance_date,  	outlet_code,  	`user`,  	details,  	clear_or_not,  	m_id";
$proto0["m_strFrom"] = "FROM cheque_register";
$proto0["m_strWhere"] = "issu_date  IS NULL";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "issu_date  IS NULL";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "issu_date",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register4pay"
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "IS NULL";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register4pay"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "cheque_register4pay";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "cheque_number",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register4pay"
));

$proto8["m_sql"] = "cheque_number";
$proto8["m_srcTableName"] = "cheque_register4pay";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "account",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register4pay"
));

$proto10["m_sql"] = "account";
$proto10["m_srcTableName"] = "cheque_register4pay";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "register_date",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register4pay"
));

$proto12["m_sql"] = "register_date";
$proto12["m_srcTableName"] = "cheque_register4pay";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "issu_date",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register4pay"
));

$proto14["m_sql"] = "issu_date";
$proto14["m_srcTableName"] = "cheque_register4pay";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "clearance_date",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register4pay"
));

$proto16["m_sql"] = "clearance_date";
$proto16["m_srcTableName"] = "cheque_register4pay";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "outlet_code",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register4pay"
));

$proto18["m_sql"] = "outlet_code";
$proto18["m_srcTableName"] = "cheque_register4pay";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register4pay"
));

$proto20["m_sql"] = "`user`";
$proto20["m_srcTableName"] = "cheque_register4pay";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "details",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register4pay"
));

$proto22["m_sql"] = "details";
$proto22["m_srcTableName"] = "cheque_register4pay";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "clear_or_not",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register4pay"
));

$proto24["m_sql"] = "clear_or_not";
$proto24["m_srcTableName"] = "cheque_register4pay";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "m_id",
	"m_strTable" => "cheque_register",
	"m_srcTableName" => "cheque_register4pay"
));

$proto26["m_sql"] = "m_id";
$proto26["m_srcTableName"] = "cheque_register4pay";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto28=array();
$proto28["m_link"] = "SQLL_MAIN";
			$proto29=array();
$proto29["m_strName"] = "cheque_register";
$proto29["m_srcTableName"] = "cheque_register4pay";
$proto29["m_columns"] = array();
$proto29["m_columns"][] = "id";
$proto29["m_columns"][] = "cheque_number";
$proto29["m_columns"][] = "account";
$proto29["m_columns"][] = "register_date";
$proto29["m_columns"][] = "issu_date";
$proto29["m_columns"][] = "clearance_date";
$proto29["m_columns"][] = "outlet_code";
$proto29["m_columns"][] = "user";
$proto29["m_columns"][] = "details";
$proto29["m_columns"][] = "clear_or_not";
$proto29["m_columns"][] = "m_id";
$proto29["m_columns"][] = "amount";
$obj = new SQLTable($proto29);

$proto28["m_table"] = $obj;
$proto28["m_sql"] = "cheque_register";
$proto28["m_alias"] = "";
$proto28["m_srcTableName"] = "cheque_register4pay";
$proto30=array();
$proto30["m_sql"] = "";
$proto30["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto30["m_column"]=$obj;
$proto30["m_contained"] = array();
$proto30["m_strCase"] = "";
$proto30["m_havingmode"] = false;
$proto30["m_inBrackets"] = false;
$proto30["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto30);

$proto28["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto28);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="cheque_register4pay";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_cheque_register4pay = createSqlQuery_cheque_register4pay();


	
		;

											

$tdatacheque_register4pay[".sqlquery"] = $queryData_cheque_register4pay;



include_once(getabspath("include/cheque_register4pay_events.php"));
$tableEvents["cheque_register4pay"] = new eventclass_cheque_register4pay;
$tdatacheque_register4pay[".hasEvents"] = true;

?>